%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         rakyll
%global repo            statik
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          f19d7c21cd036701d42ec176b13e0946cc9591b0
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        Embed static files into a Go executable
License:        ASL 2.0
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
statik allows you to embed a directory of static files
into your Go binary to be later served from an http.FileSystem.

%package devel
BuildRequires:  golang >= 1.2.1-3
Requires:       golang >= 1.2.1-3
Summary:        %{summary}
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path}/example) = %{version}-%{release}
Provides:       golang(%{import_path}/fs) = %{version}-%{release}

%description devel
statik allows you to embed a directory of static files 
into your Go binary to be later served from an http.FileSystem.

This package contains library source intended for 
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav example %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav fs %{buildroot}/%{gopath}/src/%{import_path}/

%check

%files devel
%doc README.md LICENSE
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Mon Nov 10 2014 jchaloup <jchaloup@redhat.com> - 0-0.1.gitf19d7c2
- First package for Fedora
  resolves: #1162091
